# NSURL

    extension NSURL: CoreStoreDebugStringConvertible

    extension NSURL: DefaultNSSecureCodable

    extension NSURL: FieldStorableType

    extension NSURL: ImportableAttributeType

    extension NSURL: AllowedOptionalObjectiveCKeyPathValue

    extension NSURL: AllowedObjectiveCAttributeKeyPathValue

    extension NSURL: QueryableAttributeType

### NSURL

- `cs_fromFieldStoredNativeType(_:)`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public class func cs_fromFieldStoredNativeType(_ value: FieldStoredNativeType) -> Self

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = NSURL

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = NSURL

### NSURL

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSString

- `cs_rawAttributeType`

  #### Declaration

  Swift

      @nonobjc
      public class var cs_rawAttributeType: NSAttributeType { get }

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public class func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> `Self`?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType